Debian Bug report logs - #448360
Doesn't deal correctly with MIT-SHM extension not supporting shared pixmaps

version graph

Package: imlib; Maintainer for imlib is (unknown);

Reported by: Michel Dänzer <daenzer@debian.org>

Date: Sun, 28 Oct 2007 13:18:02 UTC

Severity: grave

Tags: confirmed, patch

Merged with 451818

Found in version 1.9.15-3

Fixed in version imlib/1.9.15-4

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#448360; Package imlib. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Doesn't deal correctly with MIT-SHM extension not supporting shared pixmaps
Date: Sun, 28 Oct 2007 14:17:19 +0100
[Message part 1 (text/plain, inline)]
Package: imlib
Version: 1.9.15-3
Severity: important
Tags: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


* The boolean value returned via the last parameter to XShmQueryVersion()
  isn't honoured everywhere.
* The init functions that take parameters allow the caller to enable shared
  pixmaps when they aren't supported (or disabled by configuration files).


These result in incorrect rendering when the MIT-SHM extension doesn't support
shared pixmaps, e.g. using EXA with current versions of Xorg. I wonder if bug
#414886 could be related to this as well.


The attached patch fixes these problems.


- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (102, 'experimental'), (101, 'gutsy-security'), (101, 'gutsy')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.22-2-powerpc
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHJIvfWoGvjmrbsgARAjzeAJ4lRlU51siRJqZ0F31O7gQ3gaB4MQCghFuP
69tNXBdrxUBKM0apVhGqquI=
=2rTi
-----END PGP SIGNATURE-----
[imlib.diff (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#448360; Package imlib. Full text and rfc822 format available.

Acknowledgement sent to Falk Hueffner <falk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #10 received at 448360@bugs.debian.org (full text, mbox):

From: Falk Hueffner <falk@debian.org>
To: 448360@bugs.debian.org
Cc: Michel Dänzer <daenzer@debian.org>
Subject: Bug#448360: Doesn't deal correctly with MIT-SHM extension not supporting shared pixmaps
Date: Sun, 25 Nov 2007 23:26:14 +0100
Hi,

after some recent update, imlib stopped working completely for me on
Alpha (any image is shown only as blank), seen e.g. in xteddy or
qvwm. However, this patch doesn't fix it. Is it working for you at the
moment?

-- 
	Falk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#448360; Package imlib. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #15 received at 448360@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Falk Hueffner <falk@debian.org>
Cc: 448360@bugs.debian.org
Subject: Re: Bug#448360: Doesn't deal correctly with MIT-SHM extension not supporting shared pixmaps
Date: Mon, 26 Nov 2007 08:26:58 +0100
On Sun, 2007-11-25 at 23:26 +0100, Falk Hueffner wrote:
> 
> after some recent update, imlib stopped working completely for me on
> Alpha (any image is shown only as blank), seen e.g. in xteddy or
> qvwm. However, this patch doesn't fix it. Is it working for you at the
> moment?

It was otherwise working here when I reported this bug; not sure I've
tested it since.


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#448360; Package imlib. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #20 received at 448360@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: control@bugs.debian.org
Cc: 448360@bugs.debian.org, 451818@bugs.debian.org
Subject: reassign 451818 to imlib, forcibly merging 448360 451818, severity of 448360 is grave
Date: Mon, 03 Dec 2007 14:35:32 +0100
# Automatically generated email from bts, devscripts version 2.10.11
reassign 451818 imlib 
forcemerge 448360 451818
# EXA is used by default with the intel driver now
severity 448360 grave





Forcibly Merged 448360 451818. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2007 13:42:05 GMT) Full text and rfc822 format available.

Severity set to `grave' from `important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2007 13:42:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michel Dänzer <daenzer@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 448360-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 448360-close@bugs.debian.org
Subject: Bug#448360: fixed in imlib 1.9.15-4
Date: Mon, 03 Dec 2007 14:32:08 +0000
Source: imlib
Source-Version: 1.9.15-4

We believe that the bug you reported is fixed in the latest version of
imlib, which is due to be installed in the Debian FTP archive:

gdk-imlib11-dev_1.9.15-4_i386.deb
  to pool/main/i/imlib/gdk-imlib11-dev_1.9.15-4_i386.deb
gdk-imlib11_1.9.15-4_i386.deb
  to pool/main/i/imlib/gdk-imlib11_1.9.15-4_i386.deb
gdk-imlib1_1.9.15-4_all.deb
  to pool/main/i/imlib/gdk-imlib1_1.9.15-4_all.deb
imlib-base_1.9.15-4_all.deb
  to pool/main/i/imlib/imlib-base_1.9.15-4_all.deb
imlib11-dev_1.9.15-4_i386.deb
  to pool/main/i/imlib/imlib11-dev_1.9.15-4_i386.deb
imlib11_1.9.15-4_i386.deb
  to pool/main/i/imlib/imlib11_1.9.15-4_i386.deb
imlib_1.9.15-4.diff.gz
  to pool/main/i/imlib/imlib_1.9.15-4.diff.gz
imlib_1.9.15-4.dsc
  to pool/main/i/imlib/imlib_1.9.15-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448360@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated imlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 03 Dec 2007 14:55:26 +0100
Source: imlib
Binary: gdk-imlib1 gdk-imlib11-dev gdk-imlib11 imlib11 imlib-base imlib11-dev
Architecture: source i386 all
Version: 1.9.15-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 gdk-imlib1 - compatibility package for gdk-imlib11
 gdk-imlib11 - imaging library for use with gtk
 gdk-imlib11-dev - Header files needed for Gdk-Imlib development
 imlib-base - Common files needed by the Imlib/Gdk-Imlib packages
 imlib11    - Imlib is an imaging library for X and X11
 imlib11-dev - Imlib is an imaging library for X and X11
Closes: 448360
Changes: 
 imlib (1.9.15-4) unstable; urgency=low
 .
   * QA upload.
 .
   [ Michel Dänzer ]
   * Fix incorrect rendering when the MIT-SHM extension doesn't support shared
     pixmaps, e.g. using EXA with current versions of Xorg:
     + the boolean value returned via the last parameter to XShmQueryVersion()
       isn't honoured everywhere
     + the init functions that take parameters allow the caller to enable
       shared pixmaps when they aren't supported (or disabled by configuration
       files)
     Closes: #448360.
Files: 
 2a002aa476c8a6558613ecce8249cb16 815 graphics optional imlib_1.9.15-4.dsc
 b83f952940b7785110ed82960d90b1d6 362037 graphics optional imlib_1.9.15-4.diff.gz
 4a1bac6b395378b2e4f7a1da9ac9f053 24052 graphics optional imlib-base_1.9.15-4_all.deb
 b82867a608eb09f325bf7c382355b16d 16356 oldlibs optional gdk-imlib1_1.9.15-4_all.deb
 82cf3221f85e3fbb0051aa210779c0fb 85498 oldlibs optional imlib11_1.9.15-4_i386.deb
 4b67f374a165e63acfe063b54e8fc8d3 90300 libdevel optional imlib11-dev_1.9.15-4_i386.deb
 c2b7974e42f07ed85dccc9106b9359aa 94076 oldlibs optional gdk-imlib11_1.9.15-4_i386.deb
 83d22f14d2da18d8a9dd5a6d7ea1ad2f 78530 oldlibs optional gdk-imlib11-dev_1.9.15-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHVA0ImEvTgKxfcAwRApltAJ43KJXVlR7mNTQNMGRptTx/jfaZfgCffqeq
fVRkAYdbcJPL4ST2PgcC1HQ=
=QNpJ
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rémi Denis-Courmont <rdenis@simphalempin.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Jan 2008 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:39:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.